*{
    box-sizing: border-box;
}
  body{
    font-family: 'Poppins', sans-serif;
      margin: 0;
      padding: 0;
    background-color: #1e1e1e;
 
}
   
.wrapper{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    overflow: hidden;
}
.container{
    box-shadow: -5px -5px 10px #fff,
                5px 5px 10px #babebc;
    position: absolute;
    width: 100%;
    min-height: 100%;
    overflow: hidden;     
    font-family: russo one;
    background: linear-gradient(213.46deg, #1C0E35 19.66%, #000000 93.35%);
    
}
form{
background: linear-gradient(213.46deg, #1C0E35 19.66%, #000000 93.35%);
    display: flex;
    flex-direction: column;
    padding: 0 50px;
    height: 100%;
    justify-content: center;
    align-items: center;
}
form input{
    background: transparent;
    padding:8px;
    margin: 8px 0;
    width: 85%;
    border: 2px solid #5356EE;
    outline: none;
}
.agreement value{
    /* display: inline-flex;
    align-items: center;
    cursor: pointer; */
    color: white;
}
form input,:placeholder-shown{
    color: white;

}
::-webkit-input-placeholder{
    color: #A598AC;
}

button{
    border: none;
    outline: none;
    font-size: 8px;
    font-weight: bold;
    padding: 5px 10px;
    margin: 14px;
    letter-spacing: 1px;
    cursor: pointer;
    transition: transform 80ms ease-in;
}

.sign-in-container{
    position: absolute;
    left: 0;
    width: 50%;
    height: 100%;
    transition: all 0.5s;
}   
.sign-up-container{
    position: absolute;
    left: 0;
    width: 50%;
    height: 100%;
    opacity: 0;
    transition: all 0.5s;
}  
.overlay-left{
    display: flex;
    flex-direction: column;
    padding: 0 50px;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 0;
    width: 50%;
    height: 100%;
    opacity: 0;
    background-image: url(signin.png);
    background-size: cover;
    color: #fff;
    transition: all 0.5s;
}      
.overlay-right{
    display: flex;
    flex-direction: column;
    padding: 0 50px;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 0;
    width: 50%;
    height: 100%;
    background-image: url(signin.png);
    background-size: cover;
    color: #fff;
    transition: all 0.5s;
}   

.social-links{
    margin: 20px 0;
}
form h1{
    font-weight: bold;
    margin: 0;
    color: white;
}
p{
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 0.5px;
    margin: 20px 0 30px;
}
span{
    font-size: 12px;
    color: #000;
    letter-spacing: 0.5px;
    margin-bottom: 10px;
}
.social-links div{
    width: 40px;
    height: 40px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px;
    border-radius: 50%;
    box-shadow:  -5px -5px 10px #fff,
                5px 5px 8px #babebc;
    cursor: pointer;            
}
.social-links a{
    color: #000;
}
.social-links div:active{
    box-shadow:  inset 1px 1px 2px #babebc,
                inset -1px -1px 2px #fff;
}
.social-links a:hover{
    color: rgb(75, 248, 84);
}

.container.right-panel-active .sign-in-container{
    transform: translateX(100%);
    opacity: 0;
}
.container.right-panel-active .sign-up-container{
    transform: translateX(100%);
    opacity: 1;
    z-index: 2;
}
.container.right-panel-active .overlay-left{
    transform: translateX(-100%);
    opacity: 1;
    z-index: 2;
}
.container.right-panel-active .overlay-right{
    transform: translateX(-100%);
    opacity: 0;
}

@media only screen and (max-width: 768px) {
    .sign-in-container{
    position: absolute;
    left: 0;
    width: 50%;
    height: 100%;
    transition: all 0.5s;
    }   
    .sign-up-container{
        position: absolute;
        left: 0;
        width: 50%;
        height: 100%;
        opacity: 0;
        transition: all 0.5s;
    }  
    .overlay-left{
        display: flex;
        flex-direction: column;
        padding: 0 50px;
        justify-content: center;
        align-items: center;
        position: absolute;
        right: 0;
        width: 50%;
        height: 100%;
        opacity: 0;
        background-image: url(signin.png);
        background-size: cover;
        color: #fff;
        transition: all 0.5s;
    }      
    .overlay-right{
        display: flex;
        flex-direction: column;
        padding: 0 50px;
        justify-content: center;
        align-items: center;
        position: absolute;
        right: 0;
        width: 50%;
        height: 100%;
        background-image: url(signin.png);
        background-size: cover;
        color: #fff;
        transition: all 0.5s;
    }   

    .social-links{
        margin: 20px 0;
    }
    form h1{
        font-weight: bold;
        margin: 0;
        color: white;
    }
    p{
        font-size: 16px;
        font-weight: bold;
        letter-spacing: 0.5px;
        margin: 20px 0 30px;
    }
    span{
        font-size: 12px;
        color: #000;
        letter-spacing: 0.5px;
        margin-bottom: 10px;
    }
    .social-links div{
        width: 40px;
        height: 40px;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        margin: 0 5px;
        border-radius: 50%;
        box-shadow:  -5px -5px 10px #fff,
                    5px 5px 8px #babebc;
        cursor: pointer;            
    }
    .social-links a{
        color: #000;
    }
    .social-links div:active{
        box-shadow:  inset 1px 1px 2px #babebc,
                    inset -1px -1px 2px #fff;
    }
    .social-links a:hover{
        color: rgb(75, 248, 84);
    }

    .container.right-panel-active .sign-in-container{
        transform: translateX(100%);
        opacity: 0;
    }
    .container.right-panel-active .sign-up-container{
        transform: translateX(100%);
        opacity: 1;
        z-index: 2;
    }
    .container.right-panel-active .overlay-left{
        transform: translateX(-100%);
        opacity: 1;
        z-index: 2;
    }
    .container.right-panel-active .overlay-right{
        transform: translateX(-100%);
        opacity: 0;
    }

}